Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.log
Class Log

    java.lang.Object
      org.mortbay.log.Log

    public class Log

extends Object

Logging. This class provides a static logging interface. If an instance of the org.slf4j.Logger class is found on the classpath, the static log methods are directed to a slf4j logger for "org.mortbay.log". Otherwise the logs are directed to stderr. If the system property VERBOSE is set, then ignored exceptions are logged in detail.

Field Summary
`static String` | `EXCEPTION`
`static String` | `IGNORED`
`static String` | `IGNORED_FMT`
`static String` | `NOT_IMPLEMENTED`

Constructor Summary
`Log()`

Method Summary
`static void` | `debug(String msg)`
`static void` | `debug(String msg, Object arg)`
`static void` | `debug(String msg, Object arg0, Object arg1)`
`static void` | `debug(Throwable th)`
`static Logger` | `getLog()`
`static Logger` | `getLogger(String name)` Obtain a named Logger.
`static void` | `ignore(Throwable th)` Ignore an exception unless trace is enabled.
`static void` | `info(String msg)`
`static void` | `info(String msg, Object arg)`
`static void` | `info(String msg, Object arg0, Object arg1)`
`static boolean` | `isDebugEnabled()`
`static void` | `setLog(Logger log)`
`static void` | `warn(String msg)`
`static void` | `warn(String msg, Object arg)`
`static void` | `warn(String msg, Object arg0, Object arg1)`
`static void` | `warn(String msg, Throwable th)`
`static void` | `warn(Throwable th)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXCEPTION

    public static final String EXCEPTION

See Also:
  Constant Field Values

### IGNORED

    public static final String IGNORED

See Also:
  Constant Field Values

### IGNORED_FMT

    public static final String IGNORED_FMT

See Also:
  Constant Field Values

### NOT_IMPLEMENTED

    public static final String NOT_IMPLEMENTED

See Also:
  Constant Field Values

Constructor Detail

### Log

    public Log()

Method Detail

### setLog

    public static void setLog(Logger log)

### getLog

    public static Logger getLog()

### debug

    public static void debug(Throwable th)

### debug

    public static void debug(String msg)

### debug

    public static void debug(String msg,
                             Object arg)

### debug

    public static void debug(String msg,
                             Object arg0,
                             Object arg1)

### ignore

    public static void ignore(Throwable th)

  Ignore an exception unless trace is enabled. This works around the problem that log4j does not support the trace level.

### info

    public static void info(String msg)

### info

    public static void info(String msg,
                            Object arg)

### info

    public static void info(String msg,
                            Object arg0,
                            Object arg1)

### isDebugEnabled

    public static boolean isDebugEnabled()

### warn

    public static void warn(String msg)

### warn

    public static void warn(String msg,
                            Object arg)

### warn

    public static void warn(String msg,
                            Object arg0,
                            Object arg1)

### warn

    public static void warn(String msg,
                            Throwable th)

### warn

    public static void warn(Throwable th)

### getLogger

    public static Logger getLogger(String name)

  Obtain a named Logger. Obtain a named Logger or the default Logger if null is passed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.